import 'package:lib/lib.dart';
import 'package:point/calendar_event/calendar_event_database.dart';
import 'package:point/calendar_event/models/calendar_event_db_model.dart';
import 'package:point/calendar_event/models/calendar_event_response.dart';

class CalendarEventApiEndpoint extends DbApiEndpoint<CalendarEventDbModel, CalendarEventResponse> {
  static const String path = "/calendar";

  CalendarEventApiEndpoint({required super.requestingUser, required String host, required String projectId, required String apiKey, required Future<User> Function(String) getUser}) :
    super(
      database: CalendarEventDatabase(host: host, projectId: projectId, apiKey: apiKey, getUser: getUser),
      itemGenerator: (m) => CalendarEventDbModel.fromRequest(m, requestingUser.userId),
    );
}
