import 'package:lib/lib.dart';
import 'package:point/calendar_event/models/calendar_event.dart';

class CalendarEventDbModel extends CalendarEvent implements DbModel {
  static const userIdDbFieldName = "userId";

  final String _userId;

  String get userId => _userId;

  CalendarEventDbModel({ required String userId, super.id, required super.teamId, required super.title, super.description, required super.start, required super.end}) :
    _userId = userId;

  @override
  Map<String, dynamic> toDbData() {
    return {
      userIdDbFieldName: userId,
      CalendarEvent.teamIdDbFieldName: teamId,
      CalendarEvent.titleDbFieldName: title,
      CalendarEvent.descriptionDbFieldName: description,
      CalendarEvent.startDbFieldName: start.toIso8601String(),
      CalendarEvent.endDbFieldName: end.toIso8601String(),
    };
  }

  factory CalendarEventDbModel.fromRequest(Map<String, dynamic> map, String userId) {
    return CalendarEventDbModel(
      id: getOptionalMapItem(RequestResponseVariables.idFieldName, map),
      userId: userId,
      teamId: getRequiredMapItem(CalendarEvent.teamIdRequestResponseFieldName, map),
      title: getRequiredMapItem(CalendarEvent.titleRequestResponseFieldName, map),
      description: getOptionalMapItem(CalendarEvent.descriptionRequestResponseFieldName, map),
      start: DateTime.parse(getRequiredMapItem(CalendarEvent.startRequestResponseFieldName, map)),
      end: DateTime.parse(getRequiredMapItem(CalendarEvent.endRequestResponseFieldName, map)),
    );
  }
}
