import 'package:lib/lib.dart';
import 'package:point/membership/membership_service.dart';
import 'package:point/membership/team.dart';

class MembershipApiEndpoint extends ApiEndpoint<Team> {
  static const String path = "/membership";

  final MembershipService _membershipService;

  MembershipApiEndpoint({required MembershipService membershipService}) :
    _membershipService = membershipService;

  @override
  Future<Map<String, dynamic>> handleDelete(context) {
    throw ApiActionForbiddenException("delete", "membership");
  }

  @override
  Future<Map<String, dynamic>> handleGet(context) async {
    var memberships = await _membershipService.getMemberships().toList();

    return listResponse(context, memberships);
  }

  @override
  Future<Map<String, dynamic>> handlePost(context) {
    throw ApiActionForbiddenException("post", "membership");
  }

  @override
  Future<Map<String, dynamic>> handlePut(context) {
    throw ApiActionForbiddenException("put", "membership");
  }
}
