import 'package:dart_appwrite/dart_appwrite.dart';
import 'package:lib/lib.dart';
import 'package:point/membership/team.dart';

class MembershipService extends ClientFunction {
  final String _userId;
  MembershipService({required super.host, required super.projectId, required super.apiKey, required String userId}) :
    _userId = userId;

  Stream<Team> getMemberships() async* {
    var users = Users(client);
    var membershipList = await users.listMemberships(userId: _userId);

    for (var membership in membershipList.memberships) {
      if(membership.confirm) {
        yield Team(teamId: membership.teamId, teamName: membership.teamName);
      }
    }
  }
}
