import 'dart:convert';

import 'package:lib/lib.dart';
import 'package:point/route/route.dart';
import 'package:point/route/route_database.dart';

class RouteApiEndpoint extends DbApiEndpoint<Route, Route> {
  static const String path = "/route";

  RouteApiEndpoint({required super.requestingUser, required String host, required String projectId, required String apiKey}) :
    super(
      database: RouteDatabase(host: host, projectId: projectId, apiKey: apiKey),
      itemGenerator: (m) => Route.fromRequest(m, requestingUser.userId),
    );

  @override
  Future<Map<String, dynamic>> handleGet(context) async {
    if(context.req.body != "") {
      return super.handleGet(context);
    }
    else {
      List<Map<String, dynamic>> response = [];
      await for (var dbresponse in database.getAll(DbRequest(item: null, requestingUser: requestingUser))) {
        response.add(dbresponse.item.toResponseData());
      }
      return context.res.send(jsonEncode(response)); // context.res.json doesn't support list
    }
  }
}
