import 'package:lib/lib.dart';

class ScheduleApiEndpoint extends ApiEndpoint {
  static const String path = "/";

  final String _trigger;

  ScheduleApiEndpoint({required String trigger}) :
    _trigger = trigger;

  @override
  Future<Map<String, dynamic>> handleDelete(context) {
    throw ApiActionForbiddenException("DELETE", path);
  }

  @override
  Future<Map<String, dynamic>> handleGet(context) {
    throw ApiActionForbiddenException("GET", path);
  }

  @override
  Future<Map<String, dynamic>> handlePost(context) async {
    if(_trigger == "schedule") {
      return context.res.send(DateTime.now().toIso8601String());
    }
    throw ApiActionForbiddenException("POST", path);
  }

  @override
  Future<Map<String, dynamic>> handlePut(context) {
    throw ApiActionForbiddenException("PUT", path);
  }

}