import 'dart:convert';

import 'package:lib/src/interface/response_model.dart';

abstract class ApiEndpoint<T extends ResponseModel> {
  Future<Map<String, dynamic>> handleGet(final context);
  Future<Map<String, dynamic>> handlePost(final context);
  Future<Map<String, dynamic>> handlePut(final context);
  Future<Map<String, dynamic>> handleDelete(final context);

  Map<String, dynamic> listResponse(final context, List<T> response) {
    return context.res.send(
      jsonEncode(response.map((e) => e.toResponseData()).toList())
    );
  }
}
