import 'package:lib/src/utils/variables.dart';

class User {
  static const String emailRequestResponseFieldName = "email";
  static const String nameRequestResponseFieldName = "name";

  final String _id;
  final String _email;
  final String _name;

  String get id => _id;
  String get email => _email;
  String get name => _name;

  User({required String id, required String email, required String name}) :
    _id = id,
    _email = email,
    _name = name;

  Map<String, dynamic> toResponseData() {
    return {
      RequestResponseVariables.idFieldName: id,
      emailRequestResponseFieldName: email,
      nameRequestResponseFieldName: name,
    };
  }
}
