import 'package:dart_appwrite/dart_appwrite.dart';
import 'package:lib/src/interface/client_function.dart';
import 'package:lib/src/models/user.dart';

class UserHelper extends ClientFunction {
  late final Users _users;

  UserHelper({required super.host, required super.projectId, required super.apiKey}) {
    _users = Users(client);
  }

  Future<User> userFromId(String id) async {
    var user = await _users.get(userId: id);
    return User(
      id: user.$id,
      email: user.email,
      name: user.name,
    );
  }
}
